html {
	-webkit-text-size-adjust: none;
}

body {
	font-family: 'Monsterrat', 'Roboto', 'Verdana', sans-serif;
	font-weight: 300;
	margin: 0px;
	padding: 0px;
	color: #555;
	min-height: 490px;
	-webkit-touch-callout: none;
	background: #fff;
	overflow-x: hidden;
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

  code {
	font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
	  monospace;
  }

h1 {
	padding: 2px;
	margin: 0px;
}

h2 {
	padding: 2px;
	margin: 0px;
}

.hcpGray {
	color: #aaa;
}

.blackBold {
	color: #000;
	font-weight: 600;
}

.gradientTitle, .yardage, .inactiveHeaderLink {
	color: #000000;
	background-color: #bcbcbc;
}

.inactiveHeaderLink {
	color: #000000;
}

.activeHeaderLink {
	color: #fff;
	background-color: #186c14;
}

.gradientTitle {
	padding: 2px;
}

.gradientTitle td {
	font-size: 14pt;
}

.subTitle {
	padding: 2px;
}

.darkButton {
	font-size: 1.5em;
	font-weight: 400;
	text-align: center;
	vertical-align: middle;
	color: #fff;
	border: none;
	border-radius: 6px;
	background-color: #000;
	margin-bottom: 8px;
	margin-top: 8px;
	padding: 4px;
	box-shadow: 5px 5px 3px rgba(0, 0, 0, 0.2);
}

.darkButton:disabled {
	background-color: #999;
}

.scoreButton {
	background-color: #040;
}

.w125 {
	width: 125px;
}

.darkButton:ACTIVE {
	box-shadow: 0 1px 0 rgba(0,0,0,0.20);
	border-color: #ddd;
	text-shadow: #999 0 1px 0;
	background-color: #9a9a9a;
}

.scoreRowMain {
	height: 50px;
	background-color: #efefef;
}

.scoreRowAlt {
	height: 50px;
	background-color: #dedede;
}

.boldScore {
	font-size: 2.5em;
	width: 55px;
	font-weight: 600;
}

.golferGroupName {
	font-size: 17px;
	font-weight: 500;
	padding: 2px;
}

.golferLBName {
	font-size: 1.4em;
	font-weight: 500;
}

.golferLBHead {
	font-size: 1em;
	font-weight: 300;
}

.golferScoreName {
	font-size: 1.6em;
	font-weight: 500;
	max-width: 0;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.golferCheckboxName {
	float:left;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	font-size: 1em;
	height: 45px;
	width: 100px;
	vertical-align: middle;
}

.lbScore {
	font-size: 1.4em;
	font-weight: 500;
	width: 40px;
}

.birdie {
	font-size: 2em;
	font-weight: 400;
	color: #dd0000;
}

.boldNormal {
	font-size: 2em;
	font-weight: 600;
}

.hidden {
	height: 0px;
	visibility: hidden;
}

.visible {
	visibility: visible;
}

.holeScoreTD, .hcpTD, .grossScoreTD, .netScoreTD, .leaderboardGolferTD, .ydsTD {
	border-right: 0px;
	border-top: 0px;
	border-bottom: 1px;
	border-left: 1px;
	border-style: solid;
	border-color: #cdcdcd;
	font-size: .9em;
}

.holeScoreTD {
	text-align: center;
	width: 20px;
	height: 20px;
}

.netScoreTD {
	font-weight: 300;
}

.hcpTD {
	color: #dd0000;
}

.hcpTD, .grossScoreTD, .netScoreTD {
	font-size: .9em;
	text-align: center;
	width: 22px;
}

.ydsTD {
	font-size: .5em;
	text-align: center;
}

.parRow, .subTitle {
	color: #fff;
	background-color: #186c14;
}

.parRow {
	font-weight: 300;
}

.holeNumRow {
	background-color: #000000;
	font-weight: 300;
	color: #FFFFFF;
}

.LBscore {
	color: #000;
	text-align: center;
}

.LBeagle {
	border-radius: 50%;
	border: 5px double #080;
}

.LBbirdie {
	border-radius: 50%;
	border: 3px solid #080;
	padding: 1px;
}

.LBbogey {
	border-radius: 5%;
	border: 2px solid #900;
	padding: 2px;
}

.LBdbogey {
	border-radius: 5%;
	border: 6px double #900;
	width: 25px;
}

.LBincomplete {
	color: #ababab;
}

/* .LBeagle { background-color: #7777DD; font-weight: 300; color: #FFFFFF; } */
/* .LBbirdie { background-color: #7777DD; font-weight: 300; color: #FFFFFF; } */
/* .LBpar { background-color: #99FF99; } */
/* .LBbogey { background-color: #FFFFFF; } */
/* .LBdbogey { background-color: #FF9999; } */

.eventCodeInput {
	width: 300px;
	border-width: 2px;
	border-radius: 6px;
	border-color: #898989;
	border-style: solid;
	font-size: 24pt;
	font-weight: 400;
}

.checkboxFlat {
	width: 25px;
	margin: 20px 100px;
	position: relative;
}

.checkboxFlat label {
	cursor: pointer;
	position: absolute;
	width: 25px;
	height: 25px;
	top: 0;
  	left: 0;
	background: #eee;
	border:1px solid #ddd;
}

#eventInstructionContainer {
	font-size: 1.5em;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	text-align: center;
	height: 60;
	margin-top: 20px;
	margin-bottom: 20px;
}

#holeNumContainer
{
	font-size: 1.25em;
	font-weight: 300;
}

#groupNumContainer,
#holeInfoContainer {
	font-size: 13pt;
}

#errorContainer {
	color: #ff0000;
	font-weight: 300;
	text-align: center;
}

#leaderboardTable,
#scorecardTable {
	padding: 0px;
	margin: 0px;
	width: 100%;
	border-right: 1px;
	border-top: 1px;
	border-bottom: 0px;
	border-left: 0px;
	border-style: solid;
	border-color: #cdcdcd;
}

#scoreEntryLink,
#scorecardLink,
#leaderboardLink,
#settingsLink {
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
	text-align: center;
	width: 80px;
	line-height: 1em;
	padding: 2px;
}

#eventCodeContainer {
	text-align: center;
	height: 80px;
}

.styledCheckbox {
	display: block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	position: relative;
	padding: 2px;
	padding-left: 40px;
	line-height: 35px;
	margin-bottom: 24px;
	cursor: pointer;
	font-size: 1.2em;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
  }
  
  /* Hide the browser's default checkbox */
  .styledCheckbox input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
  }
  
  /* Create a custom checkbox */
  .checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 35px;
	width: 35px;
	/* background-color: #aaa; */
	border: solid black;
	border-width: 1px;
	border-radius: 4px;
  }
  
  /* When the checkbox is checked, add a background */
  .styledCheckbox input:checked ~ .checkmark {
	background-color: #2f855a;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark:after {
	content: "";
	position: absolute;
	display: none;
  }
  
  /* Show the checkmark when checked */
  .styledCheckbox input:checked ~ .checkmark:after {
	  display: block;
		height: 17px;
		width: 6px;
		margin-left: 5px;
  }
  
  /* Style the checkmark/indicator */
  .styledCheckbox .checkmark:after {
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
  }

  .flex-container {
	display: flex;
	justify-content: space-between;
	width: 100%;
  }
  
  .left {
	display: flex;
	justify-content: left;
	align-self: flex-start;
  }
  
  .center {
	display: flex;
	justify-content: center;
	align-self: center;
  }
  
  .right {
	display: flex;
	justify-content: right;
	align-self: flex-end;
  }
  
  .box3 {
	padding: 2px;
	width: 33%;
  }

@media screen and (orientation: landscape) {
	/* Styles for divs when in landscape mode */
	.leaderboard-names {
		width: 100%; /* hide in landscape mode */
	}

	.portrait-only {
		display: none;
	}
}

@media screen and (orientation: portrait) {
		/* Styles for divs when in landscape mode */
	.leaderboard-names {
		width: 100%; /* hide in landscape mode */
	}

	.landscape-only {
		display: none;
	}
}

.under-par {
  color: #0A0;
	font-weight: 800;
}

.score-change-animation {
  animation: swellScoreChange .25s ease-in-out;
}

@keyframes swellScoreChange {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.5);
  }
  100% {
    transform: scale(1);
  }
}